For Developers

Get Student Day Meeting

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/student_day_meetings/:student_day_meeting_id

Retrieve information about a specific Student Day Meeting.

Request Parameters

ParameterLocationTypeDescription
student_day_meeting_idurlstringThe UUID of the desired Student Day Meeting.

Sample Request

axios.get('https://ed.link/api/v2/graph/student_day_meetings/00000000-0000-0000-0000-000000000000', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "00000000-0000-0000-0000-000000000000",
        "created_date": "2021-07-05T20:32:40.454Z",
        "updated_date": "2021-07-12T21:44:23.126Z",
        "school_calendar_day_id": "00000000-0000-0000-0000-000000000001",
        "attendance_taken": true
    },
    "$request": "00000000-0000-0000-0000-000000000000"
}